> For the complete documentation index, see [llms.txt](https://docs.carto.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy.md).

# Legacy (Deprecated)

{% hint style="danger" %}
**This documentation is for the legacy JAR-based Analytics Toolbox.** These functions require cluster-based installation with Apache Sedona and are not available in the SQL Warehouse approach.

For new installations, please use the [SQL Warehouse installation](/data-and-analysis/analytics-toolbox-for-databricks/getting-access/sql-warehouse.md) which provides LDS functions via Unity Catalog.
{% endhint %}

The CARTO Analytics Toolbox's functions are organized in modules based on the functionality they offer. On this page you will find the full list with direct links to their definition.

| Module | Function or Procedure                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| lds    | <p><a href="/pages/03bnKONqY0BoUrH3embB#geocode_table">GEOCODE\_TABLE</a><br><a href="/pages/03bnKONqY0BoUrH3embB#geocode_reverse_table">GEOCODE\_REVERSE\_TABLE</a><br><a href="/pages/03bnKONqY0BoUrH3embB#create_isolines">CREATE\_ISOLINES</a><br><a href="/pages/03bnKONqY0BoUrH3embB#create_routes">CREATE\_ROUTES</a><br><a href="/pages/03bnKONqY0BoUrH3embB#geocode">GEOCODE</a><br><a href="/pages/03bnKONqY0BoUrH3embB#geocode_reverse">GEOCODE\_REVERSE</a><br><a href="/pages/03bnKONqY0BoUrH3embB#isoline">ISOLINE</a><br><a href="/pages/03bnKONqY0BoUrH3embB#get_lds_quota_info">GET\_LDS\_QUOTA\_INFO</a><br><a href="/pages/03bnKONqY0BoUrH3embB#create_routing_matrix">CREATE\_ROUTING\_MATRIX</a></p> |
| tiler  | <p><a href="/pages/j1AJAcidUTVpLgeLl2jL#create_vector_tileset">CREATE\_VECTOR\_TILESET</a><br><a href="/pages/j1AJAcidUTVpLgeLl2jL#create_point_agg_tileset">CREATE\_POINT\_AGG\_TILESET</a><br><a href="/pages/j1AJAcidUTVpLgeLl2jL#create_h3_agg_tileset">CREATE\_H3\_AGG\_TILESET</a><br><a href="/pages/j1AJAcidUTVpLgeLl2jL#create_quadbin_agg_tileset">CREATE\_QUADBIN\_AGG\_TILESET</a></p>                                                                                                                                                                                                                                                                                                                        |

### Apache Sedona

The CARTO Analytics Toolbox for Databricks includes [Apache Sedona](https://sedona.apache.org/1.5.1/) and makes all functions from "Sedona with Apache Spark" available in your Databricks all-purpose compute cluster.

The current version included is `1.5.1` and you can find the complete reference [here](https://sedona.apache.org/1.5.1/api/sql/Overview/).

All functions should be used with the prefix `sedona_` , for example:

```sql
SELECT sedona_ST_Point(double(1.2345), 2.3456)
-- OUTPUT: POINT (1.2345 2.3456)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.carto.com/data-and-analysis/analytics-toolbox-for-databricks/reference/legacy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
